Skip to main content
PATCH
/
ai-agents
/
agent-builder
/
knowledge-base
/
{sourceType}
/
{uniqueId}
/
sync
Retry Knowledge Base Source Indexing
curl --request PATCH \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/{sourceType}/{uniqueId}/sync \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/{sourceType}/{uniqueId}/sync"

headers = {"apikey": "<api-key>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/{sourceType}/{uniqueId}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

sourceType
enum<string>
required

Source type (uploads, text, website)

Available options:
uploads,
text,
website
uniqueId
string
required

Unique source ID to sync

Response

200 - application/json

Revectorization triggered successfully.

The response is of type object.